<!--- mdformat-toc start --slug=github --->

# spotDL Installation Guide

spotDL is a free and open source tool that downloads your Spotify playlists & music

> **The fastest, easiest, and most accurate command-line music downloader**

## Prerequisites

- Python 3.6.1 or above (added to PATH)
- FFmpeg 4.2 or above (added to PATH)

### Adding Python to PATH

When installing Python, ensure to select "**Add to PATH**".

![Add to PATH Image](/docs/static/ADD_TO_PATH.png)

### Installing FFmpeg

- [Windows Tutorial](https://windowsloop.com/install-ffmpeg-windows-10/)
- OSX - `brew install ffmpeg`
- Linux - `sudo apt install ffmpeg` or use your distros package manager

### Verifying Versions

`py -V` - Should return "Python 3.X.X". Please ensure you have v3.6.1 or greater.

`FFmpeg -version` - Should return starting with "ffmpeg version YYYY-MM-DD"

## Installing spotDL

You can install spotDL by opening a terminal and typing:

```shell
pip install spotdl
```

If you require further help, ask in our [Discord Server](https://discord.gg/xCa23pwJWY)

[![Discord Server](https://img.shields.io/discord/771628785447337985?color=7289da&label=DISCORD&style=for-the-badge)](https://discord.gg/xCa23pwJWY)

## Where does spotDL download songs?

spotDL downloads files to the folder where you ran spotDL from.

Open pwsh/powershell/cmd/terminal/similar in the folder you want files to download to, or
cd to desired folder.

**Windows Shortcut:** Navigate to the folder you want the files to download to.
`SHIFT + RIGHT CLICK`, then select "Open PowerShell window here"

![Windows PWSH](/docs/static/POWERSHELL.png)

## We have a public Discord server at **[discord.gg/xCa23pwJWY](https://discord.gg/xCa23pwJWY)!**

[![Discord Server](https://img.shields.io/discord/771628785447337985?color=7289da&label=DISCORD&style=for-the-badge)](https://discord.gg/xCa23pwJWY)

## Installation Guide Authors

- Initial Draft - [@commanderabdu](https://github.com/commanderabdu) - NoSubwayzz
- Editing & Updating - [@Silverarmor](https://github.com/Silverarmor)
